#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian 
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/ninjamsrv
NAME=ninjam-server
DESC=ninjam-server
NINJAMCONF=/etc/ninjam-server.conf
PIDFILE=/var/run/$NAME.pid

test -x $DAEMON || exit 0

# Include ninjam-server defaults if available
if [ -f /etc/default/ninjam-server ] ; then
	. /etc/default/ninjam-server
fi

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	if [ x$NINJAM_SERVER_ENABLED = xno ]; then
	    echo "disabled. See /etc/default/ninjam-server"
	    exit 0
	fi
	start-stop-daemon --start --quiet --pidfile $PIDFILE \
	    -b --exec $DAEMON -- $NINJAMCONF -pidfile $PIDFILE \
	    $NINJAM_SERVER_OPTS && echo "$NAME." || echo "failed."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --quiet --pidfile $PIDFILE \
	    --exec $DAEMON && echo "$NAME." || echo "failed."
	;;
  reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	echo -n "Reloading $DESC configuration files:"
	start-stop-daemon --stop --signal 1 --quiet --pidfile \
	    $PIDFILE --exec $DAEMON && echo "$NAME." || echo "failed."
	;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: "
	$0 stop
	sleep 1
	$0 start
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	exit 1
	;;
esac

exit 0
